%% Projektovanje pomocu racunara - Zadatak 3.1

close all
clear all
clc

% Definicija optimizacionog problema

f = [-1 -1/3] ;                             % Funkcija cilja
A = [1 1 ; 1 -1; -1 -1; -1 1] ;             % A*x <= b - ogranicenja tipa nejednakosti
b = [2 2 -1 2] ; 
Aeq = [1 1/4] ;                             % Aeq*x = beq - ogranicenja tipa jednakosti
beq = 1/2 ;
lb = [-1 -0.5] ;                            % Donje granice promjenljivih
ub = [1.5 1.25] ;                           % Gornje granice promjenljivih

% Definicija opcija algoritma - u prvom koraku 'dual-simplex', u drugom
% 'interior-point'

options = optimoptions('linprog','Algorithm','dual-simplex','Display','iter') ; 
[x,fval] = linprog(f,A,b,Aeq,beq,lb,ub,options)  

options = optimoptions('linprog','Algorithm','interior-point','Display','iter') ; 
[x,fval] = linprog(f,A,b,Aeq,beq,lb,ub,options)  